buildrootschalter/package/shairport-sync/S99shairport-sync
Jörg Krause c3d9cd9b52 shairplay-sync: new package
[Thomas:
 - rework init script to be more like other Buildroot init scripts,
   and fix indentation.
 - fix indentation in the .mk file
 - remove dependencies on host-autoconf and host-libtool, since the
   package has AUTORECONF = YES, this is not needed.
 - fix licensing informations.]

Signed-off-by: Jörg Krause <jkrause@posteo.de>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2014-10-25 12:28:27 +02:00

26 lines
537 B
Bash

#! /bin/sh
# Additional options that are passed to Shairport Sync
OPTIONS=""
case "$1" in
start)
echo -n "Starting shairport-sync: "
start-stop-daemon -S -q -m -b -p /var/run/shairport-sync.pid --exec /usr/bin/shairport-sync -- $OPTIONS
[ $? == 0 ] && echo "OK" || echo "FAIL"
;;
stop)
echo -n "Stopping shairport-sync: "
start-stop-daemon -K -q -p /var/run/shairport-sync.pid
[ $? == 0 ] && echo "OK" || echo "FAIL"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
;;
esac